%define ver	0.4
%define rel	0vl3
%define	name	libunicode

Summary: A unicode manipulation library
Summary(ja): Unicode操作ライブラリ
Name:		%name
Version:	%ver
Release:	%rel
Copyright:	LGPL
Group: System Environment/Libraries
Source: http://www.pango.org/download/libunicode-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
#Docdir: %{_prefix}/doc

%description
A library to handle unicode strings

%description -l ja
Unicode文字列を扱うライブラリです。

%package devel
Summary: A unicode manipulation library
Summary(ja): Unicode操作ライブラリ
Group: Development/Libraries
Requires: %{name} = %{ver}

%description devel
The libunicode-devel package includes the static libraries and header files
for the libunicode package.

Install libunicode-devel if you want to develop programs which will use
libunicode.

%description devel -l ja
libunicode-develパッケージはlibunicodeパッケージのためのスタティック
ライブラリやヘッダファイルを含んでいます。

libunicodeを使ってプログラムを開発したいなら、libunicode-develを
インストールしてください。

%prep
%setup

%build
%configure
make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/unicode-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh


%changelog
* Fri May  2 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4-0vl3
- rebuild with new toolchains
- set Docdir default
- uses better macros

* Tue Jan  9 2001 Akira TAGOH <tagoh@gnome.gr.jp>
- 0.4-0vl2
- Added defattr

* Sun Dec 17 2000 Akira TAGOH <tagoh@gnome.gr.jp>
- 0.4-0vl1
- Rebuild for Vine

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.4
- Correct License: to LGPL
- Remove man-compress/strip. New versions of RPM handle this.
- Switch to using DESTDIR
- Split off a -devel package
- Run ldconfig in %post and %postun

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3-3mdk
- libtoolize --force.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version
